Extending Qt Creator Manual | JsonWizard

Extending Qt Creator Manual 4.5.2

# JsonWizard Class

(ProjectExplorer::JsonWizard)

Inherits: | Utils::Wizard

- List of all members, including inherited members

## Public Types

class | GeneratorFile
class | OptionDefinition
typedef | GeneratorFiles

## Properties

- generateFileList : const GeneratorFiles

- 1 property inherited from Utils::Wizard

## Public Functions

| JsonWizard(QWidget *parent = nullptr)
| ~JsonWizard() override
void | addGenerator(JsonWizardGenerator *gen)
void | commitToFileList(const GeneratorFiles &list)
Utils::MacroExpander * | expander()
GeneratorFiles | generateFileList()
void | removeAttributeFromAllFiles(Core::GeneratedFile::Attribute a)
void | setValue(const QString &key, const QVariant &value)
QString | stringValue(const QString &n) const
QVariant | value(const QString &n) const

## Reimplemented Public Functions

virtual QHash<QString, QVariant> | variables() const override

- 10 public functions inherited from Utils::Wizard

## Public Slots

void | accept() override
void | reject() override

## Signals

void | allDone(const JsonWizard::GeneratorFiles &files)
void | filesPolished(const JsonWizard::GeneratorFiles &files)
void | filesReady(const JsonWizard::GeneratorFiles &files)
void | postGenerateFiles(const JsonWizard::GeneratorFiles &files)
void | postProcessFiles(const JsonWizard::GeneratorFiles &files)
void | preFormatFiles(const JsonWizard::GeneratorFiles &files)
void | preGenerateFiles()
void | prePromptForOverwrite(const JsonWizard::GeneratorFiles &files)
void | preWriteFiles(const JsonWizard::GeneratorFiles &files)

## Static Public Members

bool | boolFromVariant(const QVariant &v, Utils::MacroExpander *expander)
QList<OptionDefinition> | parseOptions(const QVariant &v, QString *errorMessage)
QString | stringListToArrayString(const QStringList &list, const Utils::MacroExpander *expander)

### Additional Inherited Members

- 3 protected functions inherited from Utils::Wizard

## Member Type Documentation

### typedef JsonWizard::GeneratorFiles

## Property Documentation

### generateFileList : const GeneratorFiles

Access functions:

GeneratorFiles | generateFileList()

## Member Function Documentation

### JsonWizard::JsonWizard(QWidget *parent = nullptr)

Default constructs an instance of JsonWizard.

### JsonWizard::~JsonWizard()

Destroys the instance of JsonWizard.

### `[slot]` void JsonWizard::accept()

### void JsonWizard::addGenerator(JsonWizardGenerator *gen)

### `[signal]` void JsonWizard::allDone(const JsonWizard::GeneratorFiles &files)

### `[static]` bool JsonWizard::boolFromVariant(const QVariant &v, Utils::MacroExpander *expander)

### void JsonWizard::commitToFileList(const GeneratorFiles &list)

### Utils::MacroExpander *JsonWizard::expander()

### `[signal]` void JsonWizard::filesPolished(const JsonWizard::GeneratorFiles &files)

### `[signal]` void JsonWizard::filesReady(const JsonWizard::GeneratorFiles &files)

### `[static]` QList<OptionDefinition> JsonWizard::parseOptions(const QVariant &v, QString *errorMessage)

### `[signal]` void JsonWizard::postGenerateFiles(const JsonWizard::GeneratorFiles &files)

### `[signal]` void JsonWizard::postProcessFiles(const JsonWizard::GeneratorFiles &files)

### `[signal]` void JsonWizard::preFormatFiles(const JsonWizard::GeneratorFiles &files)

### `[signal]` void JsonWizard::preGenerateFiles()

### `[signal]` void JsonWizard::prePromptForOverwrite(const JsonWizard::GeneratorFiles &files)

### `[signal]` void JsonWizard::preWriteFiles(const JsonWizard::GeneratorFiles &files)

### `[slot]` void JsonWizard::reject()

### void JsonWizard::removeAttributeFromAllFiles(Core::GeneratedFile::Attribute a)

### void JsonWizard::setValue(const QString &key, const QVariant &value)

See also value().

### `[static]` QString JsonWizard::stringListToArrayString(const QStringList &list, const Utils::MacroExpander *expander)

### QString JsonWizard::stringValue(const QString &n) const

### QVariant JsonWizard::value(const QString &n) const

See also setValue().

### `[override virtual]` QHash<QString, QVariant> JsonWizard::variables() const